Bug 236278 - security/py-cryptography: Update to 2.6.1
Summary: security/py-cryptography: Update to 2.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL: https://github.com/pyca/cryptography/...
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-03-05 16:59 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-03-21 19:46 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-05 16:59:46 UTC
Update to 2.6.1

- Sort RUN_DEPENDS and TEST_DEPENDS
- Remove comment as it supports the same python versions as the ports tree

Changes:        https://github.com/pyca/cryptography/blob/master/CHANGELOG.rst
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-03-06 02:01:31 UTC
Thank you Sunpoet. 

Please leave the Python versions comment in place, it is meant to remind me (and anyone else) to explicitly test for 3.7+ support.

Could you please attach patches to Bugzilla issues so that I (and other maintainers) can approve them with the maintainer-approval flag. 

Could you also confirm that this passes QA (make test in particular) 

Thanks!
Comment 2 commit-hook freebsd_committer 2019-03-21 19:43:52 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Mar 21 19:42:00 UTC 2019
New revision: 496506
URL: https://svnweb.freebsd.org/changeset/ports/496506

Log:
  Update to 2.6.1

  Changes:	https://github.com/pyca/cryptography/blob/master/CHANGELOG.rst
  PR:		236278
  Submitted by:	sunpoet (myself)
  Approved by:	koobs (maintainer)

Changes:
  head/security/py-cryptography/Makefile
  head/security/py-cryptography/distinfo
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-21 19:46:16 UTC
(In reply to Kubilay Kocak from comment #1)

Python version comment is updated and 'make test' passed. Thanks!